List of all members
cgicc::XMLDeclaration Class Reference

Class that abstracts a XMLDeclaration. More...

`#include <cgicc/XMLDeclaration.h>`

Inheritance diagram for cgicc::XMLDeclaration:

## Public Member Functions
Constructor and Destructor
| XMLDeclaration (std::string version="1.0")
| Constructor. More...
virtual | ~XMLDeclaration ()
| Destructor. More...
Public Member Functions inherited from cgicc::XMLPI
| XMLPI (std::string name)
| Constructor. More...
virtual | ~XMLPI ()
| Destructor. More...
XMLPI & | operator= (const XMLPI &element)
std::string | getName () const
const HTMLAttributeList * | getAttributes () const
void | setAttributes (const HTMLAttributeList &attributes)
XMLPI & | set (const std::string &name)
XMLPI & | set (const std::string &name, const std::string &value)
virtual void | render (std::ostream &out) const
| Write this object to a stream. More...
Public Member Functions inherited from cgicc::MStreamable
| MStreamable ()
| Empty constructor. More...
virtual | ~MStreamable ()
| Empty destructor. More...
virtual void | render (std::ostream &out) const =0
| Write this object to a stream. More...

## Detailed Description

Class that abstracts a XMLDeclaration.

This class add the XMLDeclaration feature

Definition at line 42 of file XMLDeclaration.h.

## Constructor & Destructor Documentation

## ◆ XMLDeclaration()

cgicc::XMLDeclaration::XMLDeclaration | ( | std::string | version = `"1.0"` | ) |
| inline

Constructor.

Create a new XMLDeclaration.h object

Parameters

  input | The Xml version (generally 1.0 or 1.1)

Definition at line 55 of file XMLDeclaration.h.

## ◆ ~XMLDeclaration()

virtual cgicc::XMLDeclaration::~XMLDeclaration | ( |  | ) |
| inline virtual

Destructor.

Delete this XMLDeclaration object

Definition at line 61 of file XMLDeclaration.h.

The documentation for this class was generated from the following file:

- XMLDeclaration.h